Skip to main content
POST
cURL
Create a meeting with an agenda and optional notes. Notes are stored as page content. The source app and external record ID are saved as metadata, without adding them to the visible notes.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

Body

application/json
title
string
required
Example:

"Site coordination meeting"

projectId
string
Example:

"proj_clgbsb90b001qjy0f0eo1hscp"

startAt
string<date-time>
Example:

"2026-01-15T09:00:00.000Z"

agenda
string[]
Maximum array length: 20
Example:
notes
string
Example:

"Created by the integrator"

externalSourceId
string
Example:

"example-integrator:meeting:user_123:2026-01-15T09:00:00.000Z"

sourceApp
string
default:external
Example:

"example-integrator"

Response

Created meeting

id
string
Example:

"extapitoolboxmeeting01"

builderId
string
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

projectId
string
Example:

"proj_clgbsb90b001qjy0f0eo1hscp"

projectName
string
Example:

"Downtown Mall Construction"

projectTimezone
string | null
Example:

"Australia/Brisbane"

title
string
Example:

"External API seeded meeting"

name
string
Example:

"External API seeded meeting"

meetingTitle
string | null
Example:

"External API seeded meeting"

meetingTypeId
string | null
Example:

null

meetingTypeName
string | null
Example:

null

date
string<date-time>
Example:

"2026-01-15T09:00:00.000Z"

startAt
string<date-time>
Example:

"2026-01-15T09:00:00.000Z"

scheduledAt
string<date-time>
Example:

"2026-01-15T09:00:00.000Z"

status
enum<string>
Available options:
DRAFT,
DISTRIBUTED,
COMPLETED,
RUNNING
Example:

"DISTRIBUTED"

meetingStatus
enum<string>
Available options:
DRAFT,
DISTRIBUTED,
COMPLETED,
RUNNING
Example:

"DISTRIBUTED"

agenda
string | null
Example:

"External API integration test agenda"

description
string | null
Example:

"Seeded meeting for External API integration tests"

notes
string | null
Example:

"Seeded meeting for External API integration tests"

updatedAt
string<date-time>
Example:

"2026-01-15T09:00:00.000Z"